<form [formGroup]="intervalFormGroup" (ngSubmit)="onSubmit()">
  <mat-form-field>
    <mat-label>
      {{beginLabel}}
    </mat-label>
    <input type="number" matInput formControlName="begin"/>
  </mat-form-field>
  <mat-form-field>
    <mat-label>
      {{endLabel}}
    </mat-label>
    <input type="number" matInput formControlName="end"/>
  </mat-form-field>
  <button mat-raised-button color="accent" type="button" (click)="onReset()">
    Reset
  </button>
  <button mat-raised-button color="primary" type="submit" [disabled]="!isFormValid">
    Submit interval
  </button>
</form>
